Bug 73494 - Font fallback issue with text of mixed directionality in the UI
Summary: Font fallback issue with text of mixed directionality in the UI
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Linux (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112847 117934 (view as bug list)
Depends on:
Blocks: RTL-UI
  Show dependency treegraph
 
Reported: 2014-01-11 08:36 UTC by Khaled Hosny
Modified: 2020-01-09 21:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (47.15 KB, image/png)
2014-01-11 08:36 UTC, Khaled Hosny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Khaled Hosny 2014-01-11 08:36:19 UTC
Created attachment 91852 [details]
Screenshot

My UI font lacks Latin characters, so those will be taken from fallback font, but it seems there is a bug in the fallback code that causes over-rendering of fallback text.

As seen in the screenshot, a C character (from Ctrl) is drawn over the space between the Arabic and non-Arabic text.

If I change the UI font to a one that supports Latin, the issue disappears, the issue also does not appear in the text area of Writer, only in the UI.
Comment 1 Khaled Hosny 2014-01-17 22:56:54 UTC
For the poor sole that would be looking into this in the future, the proplem seems to be in this if block:

https://gerrit.libreoffice.org/gitweb?p=core.git;a=blob;f=vcl/source/gdi/sallayout.cxx;h=30be7b152ed2490fcd75dfd9d1c3be55c7dd64ab;hb=HEAD#l652

Changing adding 1 to aPosVector.begin() in the RTL branch fixes the issue in the tooltip but breaks RTL font fallback in the text area. The whole fallback layout code is total crack, so I don’t have the slightest idea what is going on.
Comment 2 Joel Madero 2015-05-02 15:44:36 UTC Comment hidden (obsolete)
Comment 3 Khaled Hosny 2015-05-02 16:26:20 UTC
Still an issue.
Comment 4 QA Administrators 2016-09-20 09:38:21 UTC Comment hidden (obsolete)
Comment 5 Khaled Hosny 2016-09-21 07:43:55 UTC
Still an issue, though currently masked with GTK+3 because tooltips are now rendered natively.
Comment 6 Khaled Hosny 2017-10-06 00:12:53 UTC
*** Bug 112847 has been marked as a duplicate of this bug. ***
Comment 7 Eyal Rozenberg 2018-09-17 18:04:31 UTC
Can you provide reproduction instructions for people without special/weird fonts installed on their system? And a document + relevant font files as attachment to go along with these instructions?
Comment 8 Khaled Hosny 2018-10-19 00:40:50 UTC
*** Bug 117934 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2019-10-20 02:33:29 UTC
Dear Khaled Hosny,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug